<jsp:directive.page contentType="text/html" pageEncoding="UTF-8" import="beans.*, java.util.*, java.text.*" /><?xml version="1.0" encoding="UTF-8"?>
<%
  MemorySession memSession = (MemorySession)session.getAttribute("memSession");

  SimpleDateFormat dateFormat = new SimpleDateFormat("mm:ss");
  dateFormat.setTimeZone(TimeZone.getTimeZone("GMT"));
  long currentTime = Calendar.getInstance().getTimeInMillis();
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
  "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="de">
  <head>
    <link rel="stylesheet" href="styles/screen.css" type="text/css" />
    <title>Memorytisch</title>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8" />
    <meta name="description" content="EWA Memory" />
    <meta name="keywords" content="ewa, memory" />
    <meta name="language" content="de" />
  </head>

  <body>
    <h1 class="offscreen">Memorytisch</h1>
    <div id="header">
      <img src="img/header_left_v2.png" alt="EWA Memory" />
    </div>

    <ul class="offscreen">
      <li><a href="#menutop" accesskey="1">Seitennavigation</a></li>
      <li><a href="#cardtable" accesskey="0">Spielbrett</a></li>
      <li><a href="#gamescore" accesskey="2">Spielstand</a></li>
    </ul>

    <h2 class="offscreen">Seitennavigation</h2>
    <div id="menutop">
      <ul>
        <li><a href="<%= memSession.getServletUrl() %>?newgame=1" title="Neues Spiel">Neues Spiel</a></li>
        <li><a href="#" title="Userdaten &auml;ndern">Userdaten &auml;ndern</a></li>
        <li><a href="#" title="Zur&uuml;ck zur Lounge">Zur&uuml;ck zur Lounge</a></li>
        <li><a href="#" title="Ausloggen">Auslogggen</a></li>
      </ul>
    </div>

    <div id="wrap">
      <div id="menuright">
        <h3 class="notopmargin">Spielstand</h3>
        <table id="gamescore" summary="Spielstand von Dir und deinem Gegner">
          <thead>
            <tr>
              <th></th>
              <th id="score-you">Du</th>
              <th id="score-enemy">Gegner</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <th id="score-pairs">Paare</th>
              <td headers="score-you score-pairs"><%= memSession.getFoundPairs() %></td>
              <td headers="score-enemy score-pairs">N/A</td>
            </tr>
            <tr>
              <th id="score-attempts">Versuche</th>
              <td headers="score-you score-attempts"><%= memSession.getTrys() %></td>
              <td headers="score-enemy score-attempts">N/A</td>
            </tr>
            <tr>
              <th id="score-time">Zeit</th>
              <td headers="score-you score-time"><%= dateFormat.format(new Date(currentTime - memSession.getStartTime().getTime())) %></td>
              <td headers="score-enemy score-time">N/A</td>
            </tr>
          </tbody>
        </table>

        <h3>Spielinformationen</h3>
        <table id="gameinfo" summary="Allgemeine Informationen zum Spiel">
          <tbody>
            <tr>
              <th id="info-pairs">Restliche Paare</th>
              <td headers="info-pairs"><%= memSession.getTotalCards() / 2 - memSession.getFoundPairs() %></td>
            </tr>
            <tr>
              <th id="info-theme" lang="en">Theme</th>
              <td headers="info-theme" lang="en">Alternative Rock</td>
            </tr>
          </tbody>
        </table>

        <h3>Top-K&uuml;nstler</h3>
        <ul id="topartists">
          <li><a href="#" title="K&uuml;nstler Muse ausw&auml;hlen" lang="en"><img src="img/muse.jpg" alt="Muse" /> Muse</a></li>
          <li><a href="#" title="K&uuml;nstler Placebo ausw&auml;hlen" lang="en"><img src="img/placebo.jpg" alt="Placebo" /> Placebo</a></li>
          <li><a href="#" title="K&uuml;nstler Radiohead ausw&auml;hlen" lang="en"><img src="img/radiohead.png" alt="Radiohead" /> Radiohead</a></li>
          <li><a href="#" title="K&uuml;nstler Incubus ausw&auml;hlen" lang="en"><img src="img/incubus.jpeg" alt="Incubus" /> Incubus</a></li>
          <li><a href="#" title="K&uuml;nstler Foo Fighters ausw&auml;hlen" lang="en"><img src="img/foo_fighters.jpeg" alt="Foo Fighters" /> Foo Fighters</a></li>
        </ul>
      </div>

      <div id="content">
        <h2 class="offscreen">Memorytisch</h2>
        <div id="cardtable">
        <%
          for (int i = 0; i < memSession.getTotalCards(); ++i)
          {
            MemoryCard card = memSession.getCard(i);
        %>
            <div class="card">
          <% if (card.isFound()) { %>
              <img src="<%= card.getImageUrl() %>" class="cardimage" alt="Karte #<%= i %>" />
          <% } else if (card.isFlipped()) { %>
              <a href="<%= memSession.getServletUrl() %>?cardid=<%= i %>" title="Karte #<%= i %> zudecken"><img src="<%= card.getImageUrl() %>" class="cardimage" alt="Karte #<%= i %>" /></a>
          <% } else { %>
              <a href="<%= memSession.getServletUrl() %>?cardid=<%= i %>" title="Karte #<%= i %> aufdecken"><img src="img/card_background.png" alt="Karte #<%= i %>" /></a>
          <% } %>
            </div>
        <% } %>
        </div>

        <br class="clear" />
      </div>

      <br class="clear" />
    </div>

    <div id="copyright">
      &copy; 2010 EWA <span lang="en">Memory</span>.
    </div>
  </body>
</html>
