package beans;

import java.util.*;

public class MemorySession
{
  private Date startTime;
  private int trys = 0;
  private int foundPairs = 0;
  private MemoryCard[] cards = null;
  private MemoryCard firstCard = null;
  private String servletUrl;

  public MemorySession(int cntcards, String servletUrl)
  {
    startTime = new Date();
    cards = new MemoryCard[cntcards];
    for (int i = 0; i < cntcards; ++i)
      cards[i] = new MemoryCard();
    this.servletUrl = servletUrl;
  }

  /*--------------------------------------------------------------------------*/

  public int getTotalCards()
  {
    return cards.length;
  }

  /*--------------------------------------------------------------------------*/

  public MemoryCard getCard(int ix)
  {
    return cards[ix];
  }

  /*--------------------------------------------------------------------------*/

  public Date getStartTime()
  {
    return startTime;
  }

  /*--------------------------------------------------------------------------*/

  public int getTrys()
  {
    return trys;
  }

  public void incTrys()
  {
    ++trys;
  }

  /*--------------------------------------------------------------------------*/

  public int getFoundPairs()
  {
    return foundPairs;
  }

  public void incFoundPairs()
  {
    ++foundPairs;
  }

  /*--------------------------------------------------------------------------*/

  public MemoryCard getFirstCard()
  {
    return firstCard;
  }

  public void setFirstCard(MemoryCard firstCard)
  {
    this.firstCard = firstCard;
  }

  /*--------------------------------------------------------------------------*/

  public String getServletUrl()
  {
    return servletUrl;
  }
}
